Bug 498738 - Mouse Pointer Corrupted when using Simulated Secondary Click
Mouse Pointer Corrupted when using Simulated Secondary Click
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Jonathan Blandford
Fedora Extras Quality Assurance
:
Depends On:
Blocks: IntelKMS
  Show dependency treegraph
 
Reported: 2009-05-02 12:55 EDT by Charles Simpson
Modified: 2013-04-02 00:23 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-05 15:02:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
xorg log (36.53 KB, text/plain)
2009-05-02 12:55 EDT, Charles Simpson
no flags Details

  None (edit)
Description Charles Simpson 2009-05-02 12:55:18 EDT
Created attachment 342183 [details]
xorg log

Description of problem:
Mouse pointer is corrupted (appears as a few black dots rather than the original pointer) when using Simulated Secondary Click.  The pointer is corrupted after the first time the primary mouse button is pressed over a new application.  Both the regular pointer and the text selection pointer are corrupted, but other pointers (resize, busy) are not.

Version-Release number of selected component (if applicable):
1.26.0

How reproducible:
Always

Steps to Reproduce:
1. Enable Assistive Technology
2. Enable Simulated Secondary Click
3. Press and hold the primary mouse button
  
Actual results:
Mouse pointer is corrupted (appears as a few black dots rather than the original pointer).  The pointer is corrupted the first 

Expected results:
Mouse pointer is not corrupted or gives some indication that it is being pressed and held.

Additional info:
Using autoprobed xorg settings (xorg log attached).

Unable to screencap the behavior.  Mouse pointer in the screen capture appears normal even when it is corrupted on screen.
Comment 1 Matthias Clasen 2009-05-02 15:36:30 EDT
Looks to me like something might have broken in the xfixes cursor image handling.
Ajax ?
Comment 2 Adam Jackson 2009-05-04 14:43:39 EDT
I can't repro this on my GM45, maddeningly enough.  But I'm inclined to think this is tiling confusion, given what it looked like on mclasen's laptop.
Comment 3 Bug Zapper 2009-06-09 11:01:01 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Matěj Cepl 2009-11-05 13:28:21 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 6 Matthias Clasen 2009-11-05 15:02:06 EST
This is fixed in current F12

Note You need to log in before you can comment on or make changes to this bug.